Name: ldetect-lst
Version: 0.2.34
Release: alt1

Summary: Hardware list for the light detection library
Summary(ru_RU.KOI8-R):      
License: GPL
Group: System/Libraries
BuildArch: noarch

Source: %name-%version.tar.bz2
Source1: Cards2CardsNames.pl

BuildRequires: perl-MDK-Common

%package devel
Summary: Development environment for %name
Group: Development/Perl
Requires: ldetect-lst = %version
AutoReqProv: yes, perl

%description
The hardware device lists provided by this package are used as lookup
table to get hardware autodetection.

%description devel
See %name.

%prep
%setup -q

%build
%make_build

%install
%makeinstall
%SOURCE1 < $RPM_BUILD_ROOT/usr/share/%name/Cards+ > $RPM_BUILD_ROOT/usr/share/%name/CardsNames

# trigger is needed to upgrade from a package having
# /usr/share/ldetect-lst/pcitable in the package to the new scheme
%triggerpostun -- %name
if [ -x /usr/sbin/update-ldetect-lst ]; then
  /usr/sbin/update-ldetect-lst
fi

%preun
/usr/sbin/update-ldetect-lst --clean

%post 
/usr/sbin/update-ldetect-lst

%files
%_datadir/%name
%_sbindir/*

%files devel
%_bindir/*
%doc convert/README.pcitable ChangeLog

%changelog
* Mon Aug 23 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.2.34-alt1
- chnged driver for 3Com Corporation|3C910-A01 to tulip

* Thu Aug 19 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.2.33-alt1
- changed driver for Intel Corp.|82801EB AC'97 Audio to snd-intel8x0

* Thu Jul 22 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.2.32-alt2
- remove SiS650/651/740 GUI 2D/3D Accelerator (vesa)

* Wed Jul 21 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.2.32-alt1
- changed driver for SiS650/651/740 to sis

* Fri Jul 02 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.2.31-alt1
- changed driver for Cirrus Logic|CS 4614/22/24 to snd-cs46xx
- changed driver for Lucent Microelectronics WinModem 11c1:0440-045c to lt_serial
- changed driver for Pctel Inc|HSP MicroModem 56 to pctel_pct789

* Tue Jun 29 2004 Anton Farygin <rider@altlinux.ru> 0.2.30-alt1
- added some pci cards from MDK ldetect-lst database
- added some monitors
- added sata_via for 1106/3149 (#4494)
- removed driver for Adaptec|7902-HostRAID 8086:341a (#4387)

* Fri Jun 25 2004 Anton Farygin <rider@altlinux.ru> 0.2.29-alt1
- driver for KM400 changed to via_cle266

* Fri Jun 25 2004 Anton Farygin <rider@altlinux.ru> 0.2.27-alt1
- added VIA PM800 id
- enabled glx for VIA CLE266, PM800 and KM400 videocards

* Mon Jun 21 2004 Anton Farygin <rider@altlinux.ru> 0.2.26-alt1
- changed driver for VIA Technologies|VT8233 to snd-via82xx

* Tue May 25 2004 Anton Farygin <rider@altlinux.ru> 0.2.25-alt1
- driver for radeon 9600 changed to fglrx

* Fri May 14 2004 Anton Farygin <rider@altlinux.ru> 0.2.24-alt1
- added some Intel e1000 network cards

* Thu Mar 04 2004 Anton Farygin <rider@altlinux.ru> 0.2.23-alt1
- added Generic VESA to Cards+

* Tue Mar 02 2004 Anton Farygin <rider@altlinux.ru> 0.2.22-alt1
- CLE266 added (vesa only)
- moved back driver from vesa for ProSavage DDR

* Fri Feb 27 2004 Anton Farygin <rider@altlinux.ru> 0.2.21-alt1
- sync monitors DB with MDK
- added some PCI cards

* Thu Jan 29 2004 Albert R. Valiev <darkstar@altlinux.ru> 0.2.20-alt7
- changed driver for "S3 Inc.|86c368 [Trio 3D/2X]" from "none" to "s3virge"

* Thu Jan 22 2004 Albert R. Valiev <darkstar@altlinux.ru> 0.2.20-alt6
- changed driver for Intel 537 v.92/v.44 soft modem (537)
  from "537" to "slamr"

* Wed Dec 10 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.2.20-alt5
- added driver for Intel 536 v.92 soft modem (536ep)
- added driver for Intel 537 v.92/v.44 soft modem (537)
- driver for "Silicon Integrated System|SiS650/651/740 GUI 2D/3D Accelerator"
  changed to "vesa" for some type of displays.

* Tue Dec 09 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.2.20-alt4
- added driver for ATI Radeon 9600 Mobile (radeon)

* Tue Dec 02 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.2.20-alt3
- XFree86 drivers for S3 Inc.VT8751 [ProSavageDDR P4M266] VGA Controller
  and S3 Inc.VT8751 [ProSavageDDR P4M266] changed from "savage" to "vesa"

* Thu Nov 13 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.2.20-alt2
- driver for Promise Technology PDC20376 FastTrak 378 Controller 
  changed to "sata_promise"

* Mon Nov 03 2003 Rider <rider@altlinux.ru> 0.2.20-alt1
- driver for ATI Radeon M7 LW changed to "radeon"

* Thu Oct 30 2003 Rider <rider@altlinux.ru> 0.2.19-alt1
- added Flat Panel 1280x854

* Wed Oct 22 2003 Rider <rider@altlinux.ru> 0.2.18-alt1
- fix bug with dirver description for SiS in Cards+

* Tue Oct 21 2003 Rider <rider@altlinux.ru> 0.2.17-alt1
- drivers for SiS325 and SiS330
- more drivers for Promise and ICH5
- default driver for i845 audio changed to ALSA

* Mon Oct 20 2003 Rider <rider@altlinux.ru> 0.2.16-alt1
- changed driver to OSS for some i810 based audio cards
- fix bug #3131 (use ALSA driver for 8086:24c5:1043:80b0 device)
- changed default driver to ALSA for SoniqVibes audio card
- added nForce3 nvnet pci id

* Mon Oct 06 2003 Rider <rider@altlinux.ru> 0.2.15-alt1
- new pciid for nVidia GeForce Go5200 (from MaxSelect notebook)

* Wed Oct 01 2003 Rider <rider@altlinux.ru> 0.2.14-alt1
- fix driver for Intel USB controller

* Mon Sep 29 2003 Rider <rider@altlinux.ru> 0.2.13-alt1
- driver for RV280 based videocards changed to radeon
- added more SiS7013 winmodems

* Thu Sep 25 2003 Rider <rider@altlinux.ru> 0.2.12-alt1
- new pciid for  CardBus bridge: ENE Technology Inc
- changed driver for Cirrus Logic|CS 4614/22/24 
- changed driver for BCM4400 bases network adapters

* Fri Sep 12 2003 Rider <rider@altlinux.ru> 0.2.11-alt1
- default driver for all NVIDIA GeForce's changed to nvidia;
- default driver for VT8233 (1106:3059) changed to via82cxxx_audio (bug #2974)
- default driver for all ATI fglrx supported devices chinged to fglrx

* Thu Sep 11 2003 Rider <rider@altlinux.ru> 0.2.10-alt1
- added Adaptec|AIC-7902 U320
- added ethernet controllers, supported by sk98lin module

* Tue Sep 09 2003 Rider <rider@altlinux.ru> 0.2.9-alt1
- sync base with MDK
- add support for ATI Radeon 9200 (RV280)
- use Alsa sound driver for NVidia nForce audio adapters

* Wed Aug 13 2003 Rider <rider@altlinux.ru> 0.2.8-alt1
- use nvaudio driver for all NVidia nForce audio adapters
- more pciid for megaraid controllers

* Fri Aug 01 2003 Rider <rider@altlinux.ru> 0.2.7-alt1
- ATI Radeon 9800 support
- sync with RH (IBM monitors and megaraid devices)

* Thu Jul 31 2003 Rider <rider@altlinux.ru> 0.2.6-alt1
- support for Hcf WinModem and more support for Hsf WinModem

* Thu Jul 17 2003 Rider <rider@altlinux.ru> 0.2.5-alt1
- changed slmdm driver to slamrmo driver

* Tue Jul 15 2003 Rider <rider@altlinux.ru> 0.2.4-alt1
- add option -n to merge scripts (merge only new ID's)
- update ScannerDB from MDK
- some fixes for Cards+ database:
	    sis630 - enable DRI support
	    Radeon 8500 - enable DRI support
	    added missing GeForce 4 FX
	    added support for ATI FireGL cards
- update pcitable from RedHat hwdata

* Tue Jul 08 2003 Rider <rider@altlinux.ru> 0.2.3-alt1
- fix for sis7013 modem (pctel_sis driver)
- fix for  ICH4 845G/GL audio (i810_audio driver now)
- sync databases with MDK, please see Changelog and test it

* Tue May 13 2003 Rider <rider@altlinux.ru> 0.2.2-alt1
- support for detect all PC Card controllers from Texas Instruments

* Mon May 05 2003 Rider <rider@altlinux.ru> 0.2.1-alt1
- sync pcitable with MDK, added support for ENE Technology Cardbus controllers (thanks, iRu)

* Tue Mar 25 2003 Rider <rider@altlinux.ru> 0.2.0-alt1
- update databases from MDK (see ChangeLog in docdir)
- new Ruby scripts for sync database with MDK ldetect-lst package
- remove perl-base requires from ldetect-lst package 
  (by rewrite update-ldetect-lst on SHELL)

* Wed Mar 05 2003 Rider <rider@altlinux.ru> 0.1.7-alt2
- update database for cards, based on ATI Radeon R300

* Thu Feb 13 2003 Rider <rider@altlinux.ru> 0.1.7-alt1
- sync hardware database with MDK
- support for ATI Radeon R300 (with fglrx drivers)

* Tue Feb 11 2003 Rider <rider@altlinux.ru> 0.1.5-alt4
- 3D support for SiS 650/651/740

* Mon Feb 10 2003 Rider <rider@altlinux.ru> 0.1.5-alt3
- support for SiS 650/651/740
- don't setup XFree86-3.3.6 for: S3 Savage3D, ATI Mach64 Utah, ATI Rage Mobility, SiS 540,
 SiS 630, SiS 300

* Fri Feb 07 2003 Rider <rider@altlinux.ru> 0.1.5-alt2
- Changed snd-intel8x0 driver to i810_audio for 0x8086 0x2485 Intel 82801 AC97 Audio Controller
- use alsa snd-ali5451 for all [ALi] M5451 devices

* Thu Jan 23 2003 Konstantin Volckov <goldhead@altlinux.ru> 0.1.5-alt1
- 0.1.5
- Fixed some devices

* Fri Nov 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.1.4-alt3
- Fixed hpusbscsi module name
- Updated ldetect-lst from Cooker

* Thu Oct 24 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.4-alt2
- Fixed CardsNames file name

* Wed Oct 02 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.4-alt1
- New version
- Added many new id's for ati, via, nvidia, conexant, s3 etc

* Mon Sep 30 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt10
- Added new ATI pci ids

* Tue Sep 10 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt9
- Changed snd-via686 driver to via82cxxx_audio

* Thu Jun 06 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt8
- Fixed es1370 soundcard driver

* Mon Apr 15 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt7
- Fixed snd-via686 sound driver

* Wed Apr 10 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt6
- Fixed nVidia nForce chipset PCI'ids

* Fri Mar 22 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1.3-alt5
- fix %post (removed -p) to correct Spring update

* Thu Mar 21 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt4
- Fixed nVidia descriptions

* Wed Mar 20 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt3
- Added radeon mobility pci id
- Added PCI ID's for nVidia Geforce4 video adapters
- Updates from MDK

* Mon Mar 18 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt2
- Moved SB Audigy back to emu10k1 driver - this fixed in 2.4.18-alt4 kernels

* Thu Feb 28 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt1
- 0.1.3
- Fixed SBAudigy support
- Synced with new kernel

* Fri Jan 18 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl16mdk
- Fixed Intel agpgart & eepro100 pci'ids
- Added SBAudigy support

* Tue Jan 15 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl15mdk
- Reverted e100 changes
- Added Promise20270 support to pci id's
- Added some sis650 pci id's

* Fri Jan 11 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl14mdk
- Added sis & nVidia MCP integrated audio id's
- Added ServerWorks agp support

* Wed Jan 09 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl13mdk
- Changed eepro100 driver to e100

* Sat Dec 29 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl12mdk
- Fixed yenta_socket driver
- Fixed agpgart module assignment for some chipsets

* Fri Dec 28 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl11mdk
- Changed pcmcia i82365 driver to yenta-socket driver
- Added entry for Ess Maestro 3 Diamond card

* Thu Dec 13 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl10mdk
- Merged with cooker
- Added patch for pdcraid driver in Promise Raid controllers
- Added some alias for modules from current kernel

* Fri Nov 23 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl9mdk
- Changed Cmedia 8738 audiocards drivers to ALSA

* Fri Nov 16 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.1.2-33mdk
- use %%old_makeinstall
- pass -q to %%setup

* Wed Nov 08 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl8mdk
- Merged with cooker

* Fri Jun 15 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl7mdk
- Merged with cooker
- Fixed new 3com netrork card patch
- Added Cards+ from drakxtools

* Thu May 10 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl6mdk
- New entries in pcitable
- Fixed integrated via & intel audiochips configs

* Sun Mar 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.1.2-ipl5mdk
- Updated source from 0.1.2-7mdk.

* Tue Feb 20 2001 Dmitry V. Levin <ldv@fandra.org> 0.1.2-ipl4mdk
- RE adaptions.

* Thu Jan 25 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.2-4mdk
- snd-card-intel8x0 -> i810_audio

* Thu Jan 25 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.2-3mdk
- snapshot (for pcitable updates)

* Thu Dec 21 2000 Pixel <pixel@mandrakesoft.com> 0.1.2-2mdk
- add ldetect-lst-devel

* Sat Dec 16 2000 Pixel <pixel@mandrakesoft.com> 0.1.2-1mdk
- add usbtable

* Fri Dec 15 2000 Pixel <pixel@mandrakesoft.com> 0.1.1-1mdk
- add Cards+, MonitorsDB, isdn.db

* Fri Dec 15 2000 Pixel <pixel@mandrakesoft.com> 0.1.0-1mdk
- first release
